Bug 407551 - On bluetooth pairing from cell phone, it is not clear how to enter the PIN in Fedora
On bluetooth pairing from cell phone, it is not clear how to enter the PIN in...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 17:11 EST by Stephen Moehle
Modified: 2013-03-05 22:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot.png (17.81 KB, image/png)
2007-12-01 19:26 EST, Bastien Nocera
no flags Details
Screenshot of connection pop-up. (21.45 KB, image/png)
2007-12-01 19:54 EST, Stephen Moehle
no flags Details

  None (edit)
Description Stephen Moehle 2007-12-01 17:11:14 EST
Description of problem:
When I use the "Bluetooth manager" applet in F8 to make my laptop visible and
initiate pairing from my cell phone, I get the pop-up message from the Bluetooth
manager that says: "Pairing request for '<phone>' (<address>)". It is not clear
at all that I have to click on the message to get the PIN entry dialog.

I have seen some images on the Net of the "Pairing request..." pop-up that
includes the text "Click to open the passkey entry dialog". If that text had
been present on the Fedora version of the pop-up, my experience would have been
much much more pleasant.

I wasted nearly half a day trying to figure how to enter the PIN on the Fedora
F8 side of the process, and I am totally disgusted with Fedora now.

How reproducible:
Always

Steps to Reproduce:
1. Use Bluethooth manager applet to turn visibility on.
2. Initiate pairing from cell phone.
3. Get "Paring request..." pop-up message in Fedora.
4. Waste hours trying to figure out how to enter PIN.
5. Click on pop-up message by accident and get PIN entry dialog.
6. Scream.
  
Actual results:
Frustration

Expected results:
Painless pairing to phone.

Additional info:
Comment 1 Bastien Nocera 2007-12-01 19:25:10 EST
"Pairing request for ..."
"Click to open confirmation dialog"

That's what it says on my machine. See screenshot.

Could you take a screenshot of your popup, and attach the output of "rpm -q
bluez-gnome" and "rpm -V bluez-gnome"?
Comment 2 Bastien Nocera 2007-12-01 19:26:09 EST
Created attachment 274901 [details]
Screenshot.png
Comment 3 Stephen Moehle 2007-12-01 19:52:46 EST
rpm -q bluez-gnome: bluez-gnome-0.14-8.fc8
rpm -V bluez-gnome: produced no output

This is a fresh install of f8 and fully patched.
Comment 4 Stephen Moehle 2007-12-01 19:54:45 EST
Created attachment 274911 [details]
Screenshot of connection pop-up.
Comment 5 Bastien Nocera 2007-12-01 20:02:18 EST
Could you try using a smaller font size and let me know whether you can see
everything?

If so, I'll move this to the notification-daemon, either the popups would need
to grow bigger as the fonts get bigger, or the default theme should allow that.
Comment 6 Stephen Moehle 2007-12-01 20:12:59 EST
That works. If I change the application font from the default size of 10 to 9,
then "Pairing request..." fits on one line and "Click to open passkey entry
dialog" is visible.
Comment 7 Bug Zapper 2008-11-26 03:46:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 00:23:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.